Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Class DefaultSocketFactory

    java.lang.Object
      |
      +--org.apache.axis.components.net.DefaultSocketFactory

All Implemented Interfaces:
  SocketFactory

Direct Known Subclasses:
  JSSESocketFactory

public class DefaultSocketFactory
extends java.lang.Object
implements SocketFactory

Default socket factory.

Author:
  Davanum Srinivas (dims@yahoo.com)

Field Summary
`protected java.util.Hashtable` | `attributes` attributes
`protected static org.apache.commons.logging.Log` | `log` Field log

Constructor Summary
`DefaultSocketFactory(java.util.Hashtable attributes)` Constructor is used only by subclasses.

Method Summary
`java.net.Socket` | `create(java.lang.String host, int port, java.lang.StringBuffer otherHeaders, BooleanHolder useFullURL)` Creates a socket.
`protected boolean` | `isHostInNonProxyList(java.lang.String host, java.lang.String nonProxyHosts)` Check if the specified host is in the list of non proxy hosts.
`protected static boolean` | `match(java.lang.String pattern, java.lang.String str, boolean isCaseSensitive)` Matches a string against a pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

### attributes

    protected java.util.Hashtable attributes

  attributes

Constructor Detail

### DefaultSocketFactory

    public DefaultSocketFactory(java.util.Hashtable attributes)

  Constructor is used only by subclasses.
  Parameters:
    `attributes` -

Method Detail

### create

    public java.net.Socket create(java.lang.String host,
                                  int port,
                                  java.lang.StringBuffer otherHeaders,
                                  BooleanHolder useFullURL)
                           throws java.lang.Exception

  Creates a socket.
  Specified by:
    `create` in interface `SocketFactory`
  Parameters:
    `host` -
    `port` -
    `otherHeaders` -
    `useFullURL` -
  Returns:
    Socket
  Throws:
    `java.lang.Exception` -

### isHostInNonProxyList

    protected boolean isHostInNonProxyList(java.lang.String host,
                                           java.lang.String nonProxyHosts)

  Check if the specified host is in the list of non proxy hosts.
  Parameters:
    `host` - host name
    `nonProxyHosts` - string containing the list of non proxy hosts
  Returns:
    true/false

### match

    protected static boolean match(java.lang.String pattern,
                                   java.lang.String str,
                                   boolean isCaseSensitive)

  Matches a string against a pattern. The pattern contains two special characters: '*' which means zero or more characters,
  Parameters:
    `pattern` - the (non-null) pattern to match against
    `str` - the (non-null) string that must be matched against the pattern
    `isCaseSensitive` -
  Returns:
    `true` when the string matches against the pattern, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.